package com.xhkjedu.sstudy.mapper.subjectbook;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.subjectbook.TPoint;
import com.xhkjedu.sstudy.vo.subjectbook.PointVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName PointMapper
 * Description TODO
 * Author WN
 * Date 2020/6/3 11:53
 **/
@Repository
public interface PointMapper extends TkMapper<TPoint> {
    //获取所有知识点
    List<TPoint> listPoints(@Param("point") TPoint point);

    //搜索知识点
    List<PointVo> listPointsForSearch(@Param("point") TPoint point);

    //查找使用知识点的模块
    String findUseModule(String pointid);

    //根据知识点ID获取知识点信息
    TPoint getPointInfoById(@Param("pointid")String pointid);

    //获取知识点全拼接字段
    String getPointallByPointid(@Param("pointid")String pointid);

    //修改拼接字段
    void updatePointAll(@Param("pointid")String pointid, @Param("pointname")String pointname,@Param("pointlevel")Integer pointlevel);
}
